InfoFile
Tác giả: elleHCSC
Bài viết gốc: 44147
Tên lệnh: dst

Moderator tool:
Sửa
ẩn
How many weeks" holiday a year are there? azulfidine en tabs side effects Sakuta said the company hoped to boost its proportion of sales to automotive and industrial cu

Filename: 44147_dst.lsp
Tác giả: gia_bach
Bài viết gốc: 66173
Tên lệnh: eob

Moderator tool:
Sửa
ẩn
lisp xóa tất cả các đối tượng trong 1 vùng kín


Chào namhai
Với các đối tượng nằm trong và ngoài curve : Lisp làm việc bình thuờng.
Với đối tượng có giao với curve trên mặt bằng nhưng nếu trong không gian chúng không giao nhau (không đồng phẳng) thì Lisp không xử lý đuợc.
Bạn có thể dùng Lisp này để xóa tất cả đối...
>>

Chào namhai
Với các đối tượng nằm trong và ngoài curve : Lisp làm việc bình thuờng.
Với đối tượng có giao với curve trên mặt bằng nhưng nếu trong không gian chúng không giao nhau (không đồng phẳng) thì Lisp không xử lý đuợc.
Bạn có thể dùng Lisp này để xóa tất cả đối tượng nằm ngoài curve. (không phân biệt có giao trên mặt bằng hay giao trong không gian)

<<

Filename: 66173_eob.lsp
Tác giả: Nguyen Hoanh
Bài viết gốc: 1011
Tên lệnh: sum

Moderator tool:
Sửa
ẩn
Lisp cộng và nhân giá trị text
Cảm ơn ssg đã chia sẻ một đoạn code về lisp nhân.
Từ hàm mul của ssg, chúng ta có thể phát triển thêm được hàm sum một cách tương tự:


Filename: 1011_sum.lsp
Tác giả: ssg
Bài viết gốc: 1051
Tên lệnh: mul sum

Moderator tool:
Sửa
ẩn
Lisp cộng và nhân giá trị text
Đây là đoạn code bao gồm cả 2 hàm MUL và SUM.



Với người sử dụng, chẳng có gì khác hơn 2 đoạn mà ssg và bác Hoanh đã viết trên. Nhưng với lập trình viên lsp thì khác rất nhiều.
Hai điểm khác cơ bản là:
1) Tính cấu trúc của chương trình tốt hơn, dễ kiểm...
>>
Đây là đoạn code bao gồm cả 2 hàm MUL và SUM.



Với người sử dụng, chẳng có gì khác hơn 2 đoạn mà ssg và bác Hoanh đã viết trên. Nhưng với lập trình viên lsp thì khác rất nhiều.
Hai điểm khác cơ bản là:
1) Tính cấu trúc của chương trình tốt hơn, dễ kiểm tra, sửa lỗi, phát triển thêm...
2) CheckObj, FilObj trở thành các defun dùng chung, có thể dùng cho các chương trình khác sau này, tiết kiệm khá nhiều công sức.
Đó cũng là một trong những lý do để ssg đề xuất với các bạn xây dựng CadViet Utility. Viết một đoạn code đáp ứng một yêu cầu cụ thể nào đó dễ hơn nhiều so với việc xây dựng một hệ thống. Nhưng các bạn thử hình dung, khi số lượng các chương trình lsp tương tự như trên tăng lên khá nhiều thì điều gì sẽ xảy ra? Chúng sẽ "đá" nhau, cái này sẽ vô hiệu hoá cái kia, có khi chẳng có cái nào dùng được, gây nên những lỗi không thể kiểm soát...
Rất mong được các bạn góp ý thêm.
<<

Filename: 1051_mul_sum.lsp
Tác giả: hdg2318
Bài viết gốc: 76753
Tên lệnh: fr

Moderator tool:
Sửa
ẩn
Fillet radial
Lệnh tắt bo tròn góc (fr)

Filename: 76753_fr.lsp
Tác giả: cd2k44
Bài viết gốc: 167833
Tên lệnh: trichbd

Moderator tool:
Sửa
ẩn
[Yêu cầu]Kính gửi các chuyên gia về lisp

Mình thực hiện trên file của bạn luôn nhé.Lisp này của bác thiệp mà bác thanhduan đã nói.Thực hiện được ý đồ của bạn rồi đó.Bạn xem video nhé
http://www.youtube.com/watch?v=UnQZYP3eAtU
Mình muốn xin bộ lisp về thiết kế nút của bạn được...
>>

Mình thực hiện trên file của bạn luôn nhé.Lisp này của bác thiệp mà bác thanhduan đã nói.Thực hiện được ý đồ của bạn rồi đó.Bạn xem video nhé
http://www.youtube.com/watch?v=UnQZYP3eAtU
Mình muốn xin bộ lisp về thiết kế nút của bạn được không.Bạn có thể gửi lên đây hoặc gửi mail cho mình:anhtuan011185@gmail.com.Cảm ơn bạn rất nhiều vì mình cũng đang cần tiện ích này
;;;-----------------------
(defun SS-enlst (ss / c L)
(setq c -1)
(repeat (sslength ss)
(setq L (cons (ssname ss (setq c (1+ c))) L))
)
(reverse L)
)
;;;---------------------- -
(defun Text (model str po h ang / obj)
(setq obj (vla-AddText
*Model*
str
(vlax-3d-point po)
h
)
)
(vla-put-Alignment obj acAlignmentTopCenter)
(vla-put-TextAlignmentPoint obj (vlax-3d-point po))
)
;;;====================================================================
(defun break_with (Lstent enL / lst masterlist ss oc break_obj intpts)
(princ "\nCalculating Break Points, Please Wait.\n")

;;========================================
;; Break entity at break points in list
;;========================================
(defun break_obj (ent brkptlst / brkobjlst en
enttype maxparam closedobj minparam
obj obj2break p1param p2param
brkpt2 dlst idx brkptS
brkptE brkpt result result
ignore dist tmppt #ofpts
enddist lastent obj2break stdist
)
(setq obj2break ent
brkobjlst (list ent)
enttype (dxf 0 ent)
)
(if (not (or (eq (dxf 0 obj2break) "TEXT")
(eq (dxf 0 obj2break) "MTEXT")
)
)
(setq closedobj (vlax-curve-isclosed obj2break))
)
(setq spt (vlax-curve-getstartpoint ent)
ept (vlax-curve-getendpoint ent)
brkptlst (vl-remove-if
'(lambda (x)
(or (< (distance x spt) 0.0001)
(< (distance x ept) 0.0001)
)
)
brkptlst
)
)
;)
(if (and brkptlst
(not (or (eq (dxf 0 obj2break) "TEXT")
(eq (dxf 0 obj2break) "MTEXT")
)
)
)
(progn
(setq brkptlst
(mapcar
'(lambda (x)
(list
x
(vlax-curve-getdistatparam
obj2break
(cond
((vlax-curve-getparamatpoint obj2break x)
)
((vlax-curve-getparamatpoint
obj2break
(vlax-curve-getclosestpointto
obj2break
x
)
)
)
)
)
)
)
brkptlst
)
)
(setq
brkptlst (vl-sort brkptlst
'(lambda (a1 a2) (< (cadr a1) (cadr a2)))
)
)
(foreach brkpt (reverse brkptlst)
(setq brkptS (car brkpt)
brkptE brkptS
)
;; get last entity created via break in case multiple breaks
(if brkobjlst
(progn
(setq tmppt brkptS) ; use only one of the pair of breakpoints
;; if pt not on object x, switch objects
(if (not (numberp (vl-catch-all-apply
'vlax-curve-getdistatpoint
(list obj2break tmppt)
)
)
)
(progn ; find the one that pt is on
(setq idx (length brkobjlst))
(while
(and (not (minusp (setq idx (1- idx))))
(setq obj (nth idx brkobjlst))
(if (numberp (vl-catch-all-apply
'vlax-curve-getdistatpoint
(list obj tmppt)
)
)
(null (setq obj2break obj))
; switch objects, null causes exit
t
)
)
)
)
)
)
); end (if brkobjlst

;;; Handle any objects that can not be used with the Break Command
;;; using one point, gap of 0.000001 is used
(if (not (or (eq (dxf 0 obj2break) "TEXT")
(eq (dxf 0 obj2break) "MTEXT")
)
)
(setq closedobj (vlax-curve-isclosed obj2break))
)
;;; single breakpoint ----------------------------------------------------
(if
(and closedobj
(not (setq
brkptE (vlax-curve-getPointAtDist
obj2break
(+ (vlax-curve-getdistatparam
obj2break
(cond
((vlax-curve-getparamatpoint
obj2break
brkpts
)
)
((vlax-curve-getparamatpoint
obj2break
(vlax-curve-getclosestpointto
obj2break
brkpts
)
)
)
)
)
0.00001
)
)
)
)
)
(setq
brkptE (vlax-curve-getPointAtDist
obj2break
(- (vlax-curve-getdistatparam
obj2break
(cond ((vlax-curve-getparamatpoint
obj2break
brkpts
)
)
((vlax-curve-getparamatpoint
obj2break
(vlax-curve-getclosestpointto
obj2break
brkpts
)
)
)
)
)
0.00001
)
)
); end setq brkptE
); end fi (and closedobj
;; (if (null brkptE) (princ)) ; debug
(setq LastEnt (GetLastEnt))
(if (not (or (eq (dxf 0 obj2break) "TEXT")
(eq (dxf 0 obj2break) "MTEXT")
)
)
(command "._break"
obj2break
"_non"
(trans brkptS 0 1)
"_non"
(trans brkptE 0 1)
)
)
(and (= "CIRCLE" enttype) (setq enttype "ARC"))
(if (and (not closedobj) ; new object was created
(not (equal LastEnt (entlast)))
)
(setq brkobjlst (cons (entlast) brkobjlst))
); end (if (and
); end (foreach brkpt
);end progn brkptlst
); end if brkptlst
); defun break_obj
;;====================================
;; CAB - get last entity in datatbase
(defun GetLastEnt (/ ename result)
(if (setq result (entlast))
(while (setq ename (entnext result))
(setq result ename)
)
)
result
)
;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
;; S T A R T S U B R O U T I N E H E R E
;;+++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++++
(if (and Lstent enL)
(progn
;; CREATE a list of entity & it's break points
(foreach en Lstent
; check each object in Lstent
(if (not (acet-layer-locked (dxf 8 en)))
(progn
(setq lst nil)
;; check for break pts with other objects in Lstentwith
(if (and (not (equal en enint))
(setq intpts (acet-geom-intersectwith en enL 0))
)
(setq lst (append intpts lst))
; entity w/ break points
)
(if lst
(setq masterlist
(cons (cons en lst) masterlist)
)
)
)
)
)
(princ "\nBreaking Objects.\n")
(if masterlist
(progn
(acet-ui-progress "hoan thanh %" (length masterlist))
(foreach obj2brk masterlist
(break_obj (car obj2brk) (cdr obj2brk))
(acet-ui-progress -1)
)
(acet-ui-progress)
)
)
)
)
);end break_with
;;===========================================================================
;; get all objects touching entities in the sscross
;; limited obj types to "LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"
;; returns a list of enames
;;===========================================================================
(defun gettouching (en / ss lst lstb lstc objl)
(and
(setq objl (vlax-ename->vla-object en))
(setq
ss
(ssget
"_A"
(list
(cons 0
"LINE,ARC,SPLINE,LWPOLYLINE,POLYLINE,CIRCLE,ELLIPSE"
)
(cons 410 (getvar "ctab"))
)
)
)
(setq lst (SS-enlst ss)
lst (mapcar 'vlax-ename->vla-object lst))
(mapcar
'(lambda (x)
(if (not
(vl-catch-all-error-p
(vl-catch-all-apply
'(lambda ()
(vlax-safearray->list
(vlax-variant-value
(vla-intersectwith objl x acextendnone)
)
)
)
)
)
)
(setq lstc (cons (vlax-vla-object->ename x) lstc))
)
)
lst
)
)
lstc
)
;;;------------------------------------------------
(defun LWP (Lpoint *Model* / PntArr)
(setq PntArr (vlax-make-safearray
vlax-vbDouble
(cons 0 (1- (length Lpoint)))
)
)
(vlax-safearray-fill PntArr Lpoint)
(vla-AddLightWeightPolyline *Model* PntArr)
)
;;;------------------------------------------------
(defun DXF (code en) (cdr (assoc code (entget en))))
;;;============================================================
;;;=======================MAIN LISP============================
;;;============================================================
(defun c:trichBD (/ ActDoc *Model* ss encur lsten p1 p2 p3 LenssBR lstp objCE)
(setq ActDoc (vla-get-ActiveDocument (vlax-get-acad-object))
*Model* (vla-get-ModelSpace ActDoc)
)
(setq bit1 (cond (bit1)
("Rectangle")
)
)
(initget "Square Rectangle Circle Ellipse Different")
(setq tmp (strcat "\nChon duong bao: <" bit1 ">: ")
bit1 (cond ((getkword tmp))
(bit1)
)
)
(vla-StartUndoMark ActDoc)
(setvar "cecolor" "104")
(setq p1 (list (car (getvar "extmin")) (cadr (getvar "extmin"))))
(cond ((eq bit1 "Square")
(setq a (cond (a)
(50)
)
)
(setq olda a)
(setq a (getreal (strcat "\nChon kich thuoc canh Square <"
(rtos olda 2 1)
"> : "
)
)
)
(if (null a)
(setq a olda)
)
(setq lstp (list (list (car p1) (cadr p1) 0)
(list (+ (car p1) a) (cadr p1) 0)
(list (+ (car p1) a) (+ (cadr p1) a) 0)
(list (car p1) (+ (cadr p1) a) 0)
(list (car p1) (cadr p1) 0)
)
)
)
((eq bit1 "Rectangle")
(setq a (cond (a)
(50)
)
)
(setq olda a)
(setq a (getreal (strcat "\nChon chieu dai Rectangle <"
(rtos olda 2 1)
"> : "
)
)
)
(if (null a)
(setq a olda)
)
(setq b (cond (B)
(50)
)
)
(setq oldb B)
(setq b (getreal (strcat "\nChon chieu rong Rectangle <"
(rtos oldb 2 1)
"> : "
)
)
)
(if (null B)
(setq b oldb)
)
(setq lstp (list (list (car p1) (cadr p1) 0)
(list (+ (car p1) a) (cadr p1) 0)
(list (+ (car p1) a) (+ (cadr p1) B) 0)
(list (car p1) (+ (cadr p1) B) 0)
(list (car p1) (cadr p1) 0)
)
)
)
((eq bit1 "Circle")
(setq a (cond (a)
(50)
)
)
(setq olda a)
(setq a (getreal (strcat "\nChon ban kinh Circle <"
(rtos olda 2 1)
"> : "
)
)
)
(if (null a)
(setq a olda)
)
(setq objCE (vla-addCircle *Model* (vlax-3d-point p1) a))
(setq cir (entlast))
(setq cv (* a 2 pi)
lstp (list (vlax-curve-getStartPoint cir))
d (/ cv 160)
l 0.0
)
(repeat 160
(setq l (+ l d)
p (vlax-curve-getPointAtDist cir l)
lstp (append lstp (List p))
)
)
);end bit1 "Circle"

;;; ((eq bit1 "Ellipse")
;;; (setq a (getpoint p1 "\nPick diem ban kinh lon cua Ellipse"))
;;; (vl-cmdf ".Ellipse" pause pause pause); erro ttuc
;;; (setq objCE (entlast)
;;; p1 (vlax-curve-getStartPoint objCE))
;;; (command ".LENGTHEN" objCE "")
;;; (setq cv (getvar "perimeter")
;;; lstp (list p1)
;;; d (/ cv 160)
;;; l 0.0
;;; )
;;; (repeat 160
;;; (setq l (+ l d)
;;; p (vlax-curve-getPointAtDist objCE l)
;;; lstp (append lstp (List p))
;;; )
;;; )
;;; );end bit1 "Ellipse"
;;; ((eq bit1 "Different")
;;; (prompt "\nchon 1 curve kin:")
;;; (setq ss (ssget)
;;; encur (ssname ss 0)
;;; objCE (vlax-ename->vla-object encur)
;;; p1 (vlax-curve-getStartPoint encur))
;;; (if (or (eq (dxf 0 encur) "LWPOLYLINE")
;;; (eq (dxf 0 encur) "POLYLINE")
;;; )
;;; (setq lstp (acet-geom-VERTEX-LIST encur))
;;; (progn
;;; (command ".LENGTHEN" encur "")
;;; (setq cv (getvar "perimeter")
;;; lstp (list p1)
;;; d (/ cv 160)
;;; l 0.0
;;; )
;;; (repeat 160
;;; (setq l (+ l d)
;;; p (vlax-curve-getPointAtDist encur l)
;;; lstp (append lstp (List p))
;;; )
;;; )
;;; )
;;; )
;;; )
);end cond
(vla-ZoomExtents (vlax-get-acad-object))
(ACET-LWPLINE-MAKE (list lstp))
(setq ss (ssadd (entlast) (ssadd)))
(setq p2 (ACET-SS-DRAG-MOVE
ss
(list (car p1) (cadr p1))
"Chon vi tri bat dau trich thua: "
)
)
(command ".move" ss "" p1 p2)
(setq encur (entlast)
lstp (acet-geom-VERTEX-LIST encur))
(setq ss (ssdel encur (ssget "_CP" lstp)))
(command ".copy" ss "" p2 p2)
(setq p3 (ACET-SS-DRAG-MOVE
(ssadd encur ss)
p2
"Chon vi tri dat ban do trich thua: "
)
)
(command ".move" ss encur "" p2 p3)
(setvar "cecolor" "0")
(setq lsten (vl-remove encur (gettouching encur)))
(break_with lsten encur)
(vlax-invoke-method ActDoc 'Regen acActiveViewport)
(vla-offset (vlax-ename->vla-object encur) (* (getvar "viewsize") 0.0001))
(setq lstp (acet-geom-vertex-list (entlast)))
(entdel (entlast))
(if (equal (vlax-curve-getEndParam encur) 160 1) (entdel encur))
(setq LenssBR (SS-enlst (ssget "F" lstp)))
(mapcar '(lambda (x)
(if (or (not (eq (dxf 0 x) "TEXT"))
(not (eq (dxf 0 x) "MTEXT"))
)
(entdel x)
)
)
LenssBR
)
(if objCE (vla-move objCE (vlax-3d-point p1) (vlax-3d-point p3)))
(vla-EndUndoMark ActDoc)
(princ "\nChuc cac ban gat hai nhieu thanh cong. Thiep")
(princ)
)

<<

Filename: 167833_trichbd.lsp
Tác giả: ssg
Bài viết gốc: 44131
Tên lệnh: ltt

Moderator tool:
Sửa
ẩn
Lisp làm tròn số ( là Text) trong CAD ???????

Bạn dùng lisp này thử xem. Lệnh LTT:




@Tue_NV
Ssg đã xem lại vấn đề hôm nọ. Trong các system var liên quan, chỉ có dimzin ảnh hưởng trực tiếp, các "thằng" khác không thấy tác dụng gì khi dùng (rtos value 2 n). Có lẽ do số 2 đã xác định kiểu decimal. Nếu vậy, ta cứ...
>>

Bạn dùng lisp này thử xem. Lệnh LTT:




@Tue_NV
Ssg đã xem lại vấn đề hôm nọ. Trong các system var liên quan, chỉ có dimzin ảnh hưởng trực tiếp, các "thằng" khác không thấy tác dụng gì khi dùng (rtos value 2 n). Có lẽ do số 2 đã xác định kiểu decimal. Nếu vậy, ta cứ "chơi" như trên đơn giản hơn.
<<

Filename: 44131_ltt.lsp
Tác giả: gia_bach
Bài viết gốc: 74752
Tên lệnh: canle

Moderator tool:
Sửa
ẩn
Lisp căn lề - nhờ các bác sửa giúp 1 ít

Lisp căn lề (Center/Left/Right/Top/Bottom) áp dụng cho cả Text và Mtext.

Filename: 74752_canle.lsp
Tác giả: ketxu
Bài viết gốc: 138258
Tên lệnh: ccl

Moderator tool:
Sửa
ẩn
Layer - Đổi nhanh màu Layer
- Đổi nhanh màu layer


Filename: 138258_ccl.lsp
Tác giả: ketxu
Bài viết gốc: 128321
Tên lệnh: tg2a

Moderator tool:
Sửa
ẩn
Tác giả: ketxu
Bài viết gốc: 149877
Tên lệnh: cac copyalongcurve

Moderator tool:
Sửa
ẩn
Rải đối tượng theo đường dẫn.


Nguyên tác alanjt


Filename: 149877_cac_copyalongcurve.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 57933
Tên lệnh: p

Moderator tool:
Sửa
ẩn
Thêm node vào đường Pline

Chào bạn AGI,
Bạn xài thử cái này coi sao. Líp này chỉ chèn thêm diểm vào pline mà chả làm thêm bất cứ động tác nào. Kín hở gì cũng vậy bạn ạ. Miễn rằng bạn phải pick điểm chọn đúng trên pline mà thôi.


Nếu bạn muốn một lần chạy chọn nhiều điểm thì...
>>

Chào bạn AGI,
Bạn xài thử cái này coi sao. Líp này chỉ chèn thêm diểm vào pline mà chả làm thêm bất cứ động tác nào. Kín hở gì cũng vậy bạn ạ. Miễn rằng bạn phải pick điểm chọn đúng trên pline mà thôi.


Nếu bạn muốn một lần chạy chọn nhiều điểm thì phải làm thêm một vòng lặp While nữa bạn ạ.
<<

Filename: 57933_p.lsp
Tác giả: MANHHUNGXDA
Bài viết gốc: 83784
Tên lệnh: revla revla1 layiso layfrz layoff laylck layulk layon laythw laymch laycur

Moderator tool:
Sửa
ẩn
lệnh mở khoá tất cả các lớp

Có thể mình chưa hiểu hết ý bạn nhưng bạn hãy tìm câu trả lời trong lisp này:

Filename: 83784_revla_revla1_layiso_layfrz_layoff_laylck_layulk_layon_laythw_laymch_laycur.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 156659
Tên lệnh: advt

Moderator tool:
Sửa
ẩn
[Đã xong] Lisp thêm đỉnh cho PL


Hề hề hề,
Chào các bác, mình cũng có cái ni mới mần thử, đem ra đây khoe của một tí, các bác chớ giận hỉ.

Filename: 156659_advt.lsp
Tác giả: jikibo
Bài viết gốc: 431
Tên lệnh: taol

Moderator tool:
Sửa
ẩn
Ứng dụng LISP để vẽ bản vẽ kiến trúc (phần cơ bản)

Một bản vẽ mới được thiết lập. Vẫn những layer đó, vẫn những kiểu text đó, vẫn những kiểu dim đó...Bạn không cần thiết phải làm lại từ đầu vì quá mất thời gian. Vậy làm thế nào???

( Tất cả các LISP CODE bạn chỉ việc copy rồi save ra file cùng tên...
>>
Một bản vẽ mới được thiết lập. Vẫn những layer đó, vẫn những kiểu text đó, vẫn những kiểu dim đó...Bạn không cần thiết phải làm lại từ đầu vì quá mất thời gian. Vậy làm thế nào???

( Tất cả các LISP CODE bạn chỉ việc copy rồi save ra file cùng tên với lệnh lisp và có phần mở rộng la .LSP (ví dụ: TaoL.LSP) là ok :lol: )

Bài 1: Tạo Layer



Với lisp này lệnh để tạo kiểu kích thước sẽ là TaoK.
Các thông số cần nhập
1. Tỷ lệ bản vẽ: (Thường là 1/1, cũng có thể là 1/2 tùy vào kiểu dim bạn muốn tạo)
2. Chiều cao chữ: (Tùy thuộc vào bản vẽ của bạn)
3. Tên kiểu dim mới: (Nên đặt theo chiều cao của chữ)
<<

Filename: 431_taol.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 121500
Tên lệnh: invis vis

Moderator tool:
Sửa
ẩn
[Đã xong] Lisp hide & show object

Hề hề hề,
Không phải bạn uống nhầm thuốc mà là bạn download về nhầm lisp. Cái lisp này nếu mình không nhớ nhầm thì bị lỗi và đã được sửa lại ở đâu đó trên diễn đàn từ khá lâu rồi. Song do chủ thớt bận chưa cập nhật lại chỗ hỏng nên các bạn...
>>

Hề hề hề,
Không phải bạn uống nhầm thuốc mà là bạn download về nhầm lisp. Cái lisp này nếu mình không nhớ nhầm thì bị lỗi và đã được sửa lại ở đâu đó trên diễn đàn từ khá lâu rồi. Song do chủ thớt bận chưa cập nhật lại chỗ hỏng nên các bạn tới sau cứ thế mà down về nên dính chấu thôi.
Cái này là mình mới đọc lại cái lisp lỗi và sửa lại để các bạn xài thử coi. Nếu thấy được thì cứ thế xài, khỏi phải làm phiền bác chủ thớt nữa hỉ. Còn không được thì chờ bác chủ thớt xuống dao vậy.


Nhớ copy cái này thành tên khác chứ đừng copy đè lên cái cũ. Sau đó các bạn hãy tự đọc lại và so sánh với cái lisp cũ để thấy cái chỗ mình sửa và hiểu được vì sao nó trật.
Hy vọng các bạn hài lòng.

PS: lưu ý các bạn là khi lisp hỏi: All hidden entities will be visible. Continue? No, :
Các bạn phải trả lời là Yes chứ không được lười nhấn mà nhập yes hay y hay Y chăng nữa. Vì như vậy lisp sẽ chẳng cho kết quả đúng đâu. Hề hề hề,
Cái này là tôn trọng bác chủ thớt đã có công làm ra nó, mình chỉ chỉnh chỗ chưa đạt chứ không thay đổi ý đồ của bác ấy. Mong các bạn hiểu giùm.
<<

Filename: 121500_invis_vis.lsp
Tác giả: ketxu
Bài viết gốc: 149866
Tên lệnh: an hn hn1

Moderator tool:
Sửa
ẩn
this website can help me personally to find some good suggestions!
blade and soul http://my.mmosite.com/5100541/blog/item/blade_and_soul_how_to_abuse_evil_and_amusement.html

Filename: 149866_an_hn_hn1.lsp
Tác giả: 18011985
Bài viết gốc: 104929
Tên lệnh: pla

Moderator tool:
Sửa
ẩn
Xem giúp đoạn lisp của mình vẽ pline có nhập chiều dài và góc
Bạn vẽ 2 điểm thì vẽ thế kia được nếu bạn muốn lặp lại để vẽ thì cũng được nhưng như thế kết quả thu được là những đoạn polyline rời dạc . Nên bạn thử dùng lsp này xem. Đáp ứng được các yêu cầu của bạn (Chú ý chỉ thoát và hoàn...
>>
Bạn vẽ 2 điểm thì vẽ thế kia được nếu bạn muốn lặp lại để vẽ thì cũng được nhưng như thế kết quả thu được là những đoạn polyline rời dạc . Nên bạn thử dùng lsp này xem. Đáp ứng được các yêu cầu của bạn (Chú ý chỉ thoát và hoàn thành polyline khi chiều dài nhập vào là nil "Tức bạn gõ space hoặc enter", nếu bạn ấn ESC bạn phải làm lại từ đầu).

Chúc các bạn sức khoẻ và tích cực đóng góp nhiều lsp hơn nữa cho diễn đàn.
<<

Filename: 104929_pla.lsp
Tác giả: gia_bach
Bài viết gốc: 105314
Tên lệnh: sch

Moderator tool:
Sửa
ẩn
Xem giúp đoạn lisp của mình vẽ pline có nhập chiều dài và góc


duy782006 dùng thử LISP này (sử dụng hàm VLA-...)

Filename: 105314_sch.lsp
Tác giả: phamthanhbinh
Bài viết gốc: 150541
Tên lệnh: dlay

Moderator tool:
Sửa
ẩn
[Đã xong] Lisp chuyển nhiều layer về 1 layer

Hề hề hề,
Bạn xài thử cái này coi sao hỉ...

Filename: 150541_dlay.lsp

Trang 1/205

1